##############################################################################
#
# Copyright (c) 2003 - Tue Wennerberg - All Rights Reserved
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

__doc__='''ZAdict Product Initialization'''

import AdictCalendar,AdictSource,AdictEvent

# Initialize ZAdict product
def initialize(context):
    print "--- ZAdict Registration ---"
    
    # Register Adict class
    print "Registring calender instantiation"
    context.registerClass(
        AdictCalendar.AdictCalendar,
        constructors = (AdictCalendar.manage_addAdictCalendarForm,
                        AdictCalendar.manage_addAdictCalendar)
    )

    # Register AdictSource class
    print "Registring class AdictSource"
    context.registerClass(
        AdictSource.AdictSource,
        constructors = (AdictSource.manage_addAdictSourceForm,
			AdictSource.manage_addAdictSource)
    )

    # Register AdictEvent class
    print "Registring class AdictEvent"
    context.registerClass(
        AdictEvent.AdictEvent,
        constructors = (AdictEvent.manage_addAdictEventForm,
			AdictEvent.manage_addAdictEvent)
    )
